View Issue Details

IDProjectCategoryView StatusLast Update
0005719Talermechant backendpublic2021-09-02 18:22
ReporterChristian Grothoff Assigned ToMarcello Stanisci  
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0005719: error handling branch insufficiently tested in merchant backend
DescriptionAs Florian's patch df31a863cc36af8cdf03a88b1419ccd39ef637d5 shows there is at least one error path that is insufficiently covered in the merchant backend by our testing logic. We should write a test case to trigger this response during testing.
TagsNo tags attached.

Activities

Marcello Stanisci

2019-05-21 14:53

viewer   ~0014425

Last edited: 2019-05-21 14:53

Resolved here: 821109d..ca0f567

Related Changesets

merchant: master ca0f567d

2019-05-21 14:50:36

Marcello Stanisci

Details Diff
Resolve 0005719 Affected Issues
0005719
mod - src/backend/taler-merchant-httpd_pay.c Diff File
mod - src/lib/merchant_api_pay.c Diff File
mod - src/lib/test_merchant_api_twisted.c Diff File

Issue History

Date Modified Username Field Change
2019-05-09 17:13 Christian Grothoff New Issue
2019-05-09 17:13 Christian Grothoff Status new => assigned
2019-05-09 17:13 Christian Grothoff Assigned To => Marcello Stanisci
2019-05-21 14:53 Marcello Stanisci Note Added: 0014425
2019-05-21 14:53 Marcello Stanisci Note Edited: 0014425
2019-05-21 14:54 Marcello Stanisci Status assigned => resolved
2019-05-21 14:54 Marcello Stanisci Resolution open => fixed
2019-06-03 11:52 Christian Grothoff Fixed in Version => 0.6
2019-06-03 11:52 Christian Grothoff Target Version 0.8 => 0.6
2019-12-20 19:12 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Marcello Stanisci Changeset attached => Taler-merchant master ca0f567d